﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Distortion VER /8560
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER/8560
DATE:                  2016-11-21 11:02:27
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 17364 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       189
CONFIGURATION:         HP 8560
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Dev(s) Covered:
#        Fluke 281, 282, 284
#        TTi TGA1241, TGA1242, TGA1244
#        Wavetek 39A, 195
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         ResetCmd = "*RST"

  1.002  IF           ISVAR("@Chan")
  1.003  HEAD         -2 CHANNEL [V @Chan]
  1.004  MATH         @DUT_Setup = "SETUPCH " & @Chan & ";"
  1.005  ELSE
  1.006  MATH         @DUT_Setup = ""
  1.007  ENDIF

  1.008  MATH         @DUT_Setup = @DUT_Setup & "ZLOAD 50;WAVE SINE;"
  1.009  MATH         @DUT_Setup = @DUT_Setup & "AMPUNIT VRMS;AMPL 3.5;"

  1.010  JMPL         SINE_WAVE_DISTORTION         PSUBI("Distortion")
  1.011  JMPL         NON-HARMONIC_DISTORTION      PSUBI("Non-harmonic")
  1.012  DISP         Subprocedure not found!
  1.013  END

  1.014  EVAL   Increment step number

# =====  Sub Fluke 281/282/284 (1 yr) Distortion VER /8560  ==================

  2.001  LABEL        SINE_WAVE_DISTORTION
  2.002  HEAD         SINE WAVE DISTORTION
  2.003  MATH         @First = 1

  2.004  MATH         @Freq = "1 MHz"
  2.005  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Tests /8560
  2.006  JMPL         END                          @Abort
  2.007  MATH         @Freq = "5 MHz"
  2.008  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Tests /8560
  2.009  JMPL         END                          @Abort
  2.010  MATH         @Freq = "10 MHz"
  2.011  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Tests /8560
  2.012  JMPL         END                          @Abort
  2.013  MATH         @Freq = "16 MHz"
  2.014  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Tests /8560
  2.015  JMPL         END

  2.016  EVAL   Increment step number

# =====  Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER /8560  ===========

  3.001  LABEL        NON-HARMONIC_DISTORTION
  3.002  HEAD         SINE WAVE NON-HARMONIC DISTORTION (6 MHz Fundamental)
  3.003  HEAD         -2 Output Frequency: 6 MHz
  3.004  MATH         @Cmd = @DUT_Setup & "WAVFREQ 6E+6;OUTPUT ON"
# Retrieve confidence interval for HP 856x spectrum analyzer.
  3.005  MATH         Conf8560 = CONF("HP 8560")

  3.006  LABEL        NON-HARMONIC_DISTORTION_6_MHz
  3.007  TARGET       -p
  3.008  M8560        *
  3.009  M8560  ATTEN 10dB
  3.010  M8560  SCALE 10dB
  3.011  M8560  SPAN  400kH

  3.012  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  3.013  JMPL         END                          @Abort
  3.014  8560         -6D                          6MH                  N
  3.015  MATH         RefLvl = MEM
# Specify correct frequency response mode string for 856x model being used.
  3.016  CALL         Sub Specify HP856X Frequency Response
# Retrieve uncertainty for above measurement and normalize.
  3.017  MATH         L[10] = ACCV2("HP 8560", S[1], MEM, 6E+6) / Conf8560
# Skip sub-harmonic at 750 kHz
  3.018  TSET         TDESC = Span: 1.05 - 1.2 MHz
  3.019  M8560  START 1.05MH                       1.2MH
  3.020  TARGET       -m
  3.021  8560         -35D                         1.05MH               N
  3.022  MATH         MEM = MEM - RefLvl
# Specify correct scale fidelity mode string for 856x model  being used.
  3.023  CALL         Sub Specify HP856X Log Scale Fidelity
# Retrieve scale fidelity uncertainty for above measurements and normalize.
  3.024  MATH         L[20] = ACCV2("HP 8560", S[1], MEM, 1.05E+6) / Conf8560
  3.025  MATH         L[30] = RSS2(L[10], L[20]) * 2
  3.026  ACC          dBc            L30U
  3.027  MEMC         -65.0dBc       -0.0U +100.0U

  4.001  JMPL         NON-HARMONIC_DISTORTION_6_MHz_SPAN_2

# Force a new reference level reading for Post Test Repeat and Cancel.
  4.002  TARGET       -p
  4.003  JMPL         NON-HARMONIC_DISTORTION_6_MHz

  4.004  LABEL        NON-HARMONIC_DISTORTION_6_MHz_SPAN_2
# Skip harmonic at 1.5 MHz
  4.005  TSET         TDESC = Span: 1.8 - 2.7 MHz
  4.006  M8560  START 1.8MH                        2.7MH
  4.007  TARGET       -m
  4.008  8560         -65D                         1.8MH                N
  4.009  MATH         MEM = MEM - RefLvl
  4.010  CALL         Sub Specify HP856X Log Scale Fidelity
  4.011  MATH         L[20] = ACCV2("HP 8560", S[1], MEM, 1.8E+6) / Conf8560
  4.012  MATH         L[30] = RSS2(L[10], L[20]) * 2
  4.013  ACC          dBc            L30U
  4.014  MEMC         -65.0dBc       -0.0U +100.0U

  5.001  JMPL         NON-HARMONIC_DISTORTION_6_MHz_SPAN_3

# Force a new reference level reading for Post Test Repeat and Cancel.
  5.002  TARGET       -p
  5.003  JMPL         NON-HARMONIC_DISTORTION_6_MHz

  5.004  LABEL        NON-HARMONIC_DISTORTION_6_MHz_SPAN_3
# Skip harmonic at 3.0 MHz
  5.005  TSET         TDESC = Span: 3.3 - 5.8 MHz
  5.006  M8560  START 3.3MH                        5.7MH
  5.007  TARGET       -m
  5.008  8560         -65D                         3.3MH                N
  5.009  MATH         MEM = MEM - RefLvl
  5.010  CALL         Sub Specify HP856X Log Scale Fidelity
  5.011  MATH         L[20] = ACCV2("HP 8560", S[1], MEM, 3.3E+6) / Conf8560
  5.012  MATH         L[30] = RSS2(L[10], L[20]) * 2
  5.013  ACC          dBc            L30U
  5.014  MEMC         -65.0dBc       -0.0U +100.0U

  6.001  JMPL         NON-HARMONIC_DISTORTION_6_MHz_SPAN_4

# Force a new reference level reading for Post Test Repeat and Cancel.
  6.002  TARGET       -p
  6.003  JMPL         NON-HARMONIC_DISTORTION_6_MHz

  6.004  LABEL        NON-HARMONIC_DISTORTION_6_MHz_SPAN_4
# Skip fundemental at 6.0 MHz
  6.005  TSET         TDESC = Span: 6.3 - 10 MHz
  6.006  M8560  START 6.3MH                        10MH
  6.007  TARGET       -m
  6.008  8560         -65D                         6.3MH                N
  6.009  MATH         L[20] = REFACC()
  6.010  MATH         MEM = MEM - RefLvl
  6.011  CALL         Sub Specify HP856X Log Scale Fidelity
  6.012  MATH         L[20] = ACCV2("HP 8560", S[1], MEM, 6.3E+6) / Conf8560
  6.013  MATH         L[30] = RSS2(L[10], L[20]) * 2
  6.014  ACC          dBc            L30U
  6.015  MEMC         -65.0dBc       -0.0U +100.0U

  7.001  LABEL        END
  7.002  HEAD         -2
  7.003  HEAD
  7.004  MATH         @Cmd = "*RST"
  7.005  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  7.006  8560         *                                                 S
  7.007  END
